===================================
TYPOlight Open Source CMS Changelog
===================================

Version 2.8.4 (2010-06-30)
--------------------------
- Back-ported the Safe Mode Hack improvements from version 2.9

Version 2.8.3 (2010-05-01)
--------------------------
- Removed the TinyMCE autoresize plugin
- Fixed: function idnaEncode() encoded the URL multiple times (#1829)
- Fixed: insert tags were not removed in the page description (#1856)
- Fixed: the download element was not hidden if there was no downloadable file (#1853)
- Fixed: ampersand characters were not converted to entities in meta files (#1823, #1831)
- Fixed: image paths were converted to absolute URLs during PDF export (#1843)
- Fixed: search index URLs were incorrect when alias usage is disabled (#1864)
- Fixed: automatically deactivate invalid e-mail addresses while sending newsletters
- Fixed: skipFirst had no effect on news lists without pagination (#1872)
- Fixed: the ModuleWizard and TableWizard were dependent on tl_content (#1883)
- Fixed: the XML news/calendar feeds were not updated if modified via Ajax (#1833)
- Fixed: CSV import failed if the Safe Mode Hack was enabled (#1908)
- Fixed a remote code execution vulnerability in the PDF export function
- Fixed some minor issues

Version 2.8.2 (2010-04-13)
--------------------------
- Updated TCPDF to version 4.9.011 (#1802)
- Updated TinyMCE to version 3.3.2 (#1711)
- Updated MooTools More to version 1.2.4.4 (#1697)
- Added: added the white Mediabox theme (#1637)
- Added: DC_Table "oncut_callback" and "oncopy_callback" (#1745)
- Added: added the active record to "ondelete_callbacks" (#1721)
- Added: added class "trail" to the custom navigation module (#1691)
- Added: added the wildcard ##token## to the newsletter subscription module (#1729)
- Added: added the Russian typolinks translation to TinyMCE (#1744)
- Added: the image resizer now considers the file modification time (#1743)
- Added: added &shy; as basic entity (#1768)
- Added: added the "mode" parameter to the image insert tag (#1712)
- Added: added a loadDataContainer hook (#1687)
- Added: added an addComment hook (#1669)
- Fixed: special HTML characters were encoded twice (#1642)
- Fixed: the newsletter reader failed to replace insert tags (#1645)
- Fixed: the subtree navigation did not work in the popup file manager (#1653)
- Fixed: the BBCode parser did not add missing URI protocols (#1658)
- Fixed: PDF exports contained incorrect download links (#1654)
- Fixed: the option "always show in sitemap" did not work for hidden pages (#1679)
- Fixed: the downloads element did not hide meta.txt files (#1688)
- Fixed: the downloads element did not pass all meta information (#1689)
- Fixed: reverted the changes to the navigation menu (#1635)
- Fixed: the function addToUrl() generated invalid URLs in the front end (#1707)
- Fixed: the Config library did not handle numeric strings correctly (#286)
- Fixed: the Mediabox plugin did not support .jpeg file extensions (#1728)
- Fixed: the file manager allowed invalid file and folder names (#1699)
- Fixed: the news and event reader did not overwrite the page description (#1702)
- Fixed: regular users were not able to copy/move multiple content elements (#1715)
- Fixed: the PDF export function did not handle whitespace characters correctly (#1716)
- Fixed: news headlines appeared twice in link headlines (#1749)
- Fixed: the search module did not remove insert tags from the keywords string (#1750)
- Fixed: the file tree widget did not validate the mounted paths (#1746)
- Fixed: the task center e-mails contained invalid links (#1753)
- Fixed: the option "show protected pages" also showed guest pages (#1694)
- Fixed: the list wizard did not render correctly if the first item was empty (#1740)
- Fixed: System::idnaEncode() encoded more than just the domain name (#1748)
- Fixed: the Captcha field was missing class="mandatory" (#1767)
- Fixed: the newsletter recipient importer did not count correctly (#1732)
- Fixed: regular users could not edit comments on unmounted pages (#1659)
- Fixed: the ZipReader class failed to handle empty files (#1804)
- Fixed: the Newsletter module did not embed images correctly (#1799)
- Fixed: parameters passed to the file insert tag were cached by the Input object (#1818)
- Fixed a possible request forgery vulnerability in the back end
- Fixed some minor issues

Version 2.8.1 (2010-02-28)
--------------------------
- Added: different update modes for overriding multiple group memberships
- Fixed: the install tool does not handle equals sings in passwords (#1338)
- Fixed: articles drop-down menu in news/events is causing a fatal error (#1593)
- Fixed: several issues in the Comments class (BBCode parser)
- Fixed: image link elements do not support the new image resize options (#1585)
- Fixed: table sort script interchanges the classes even and odd (#1589)
- Fixed: inconsistent file tree behavior (#1582)
- Fixed: Date class not supporting negative Unix timestamps (#1591)
- Fixed: apply file permissions to image thumbnails when the Safe Mode Hack is used (#1398)
- Fixed: several issues with the new calendar/event list navigation (#1584)
- Fixed: Widget class not validating the maximum input length (#1578)
- Fixed: relative URLs in RSS feeds are not converted to absolute URLs (#1596)
- Fixed: the toggleVisibilty() methods do not support save_callbacks and versioning
- Fixed: access control for comments is missing in the new comments module
- Fixed: no active record available in onsubmit_callbacks in "override multiple" mode
- Fixed: Swiff does not check whether the Flash plugins is available (#1601)
- Fixed: navigation module start/stop levels fail if there is a reference page (#1607)
- Fixed: the style sheet module does not show an error if a file is not writeable (#1598)
- Fixed: FancyUpload does not work in the popup file manager (#1608)
- Fixed: wrong thumbnail size if only height and maximum front end width are given
- Fixed: file manager does not urlencode filenames (#1616)
- Fixed: not all elements and modules pass the data array to the view (#1604)
- Fixed some minor issues

Version 2.8.0 (2010-02-16)
--------------------------
- Updated MooTools More to version 1.2.4.3
- Updated mediabox plugin to version 1.2.0 (#1401)
- Updated SwiftMailer plugin to version 4.0.6 (#1470)
- Improved the e-mail address spam protection algorithm (#1248)
- Added insert tags article/faq/news/event_open, _url and _title (#1370)
- Added an option to assign CSS IDs/classes to teaser elements (#1392)
- Added an option to disable FancyUpload (#1423)
- Removed PCRE modifier /e for better compatibility (#1405)
- Fixed issue with empty alias drop-down menus
- Fixed issue with feed names not being mandatory (#1317)
- Fixed issue with page language not being set correctly (#1326)
- Fixed issue with collations drop-down not being MySQL 4.1 compatible (#1336)
- Fixed issue with comments module not supporting multiple forms (#1332)
- Fixed inconsistent access permissions (#1319)
- Fixed issue with system messages not being shown (#1365)
- Fixed issue with back end top links not working correctly (#1358)
- Fixed issue with basic entities not being restored in the website title (#1359)
- Fixed issue with style sheets not being updated correctly (#1351)
- Fixed issue with DC_Table::copyChilds() not working correctly (#1360)
- Fixed issue with incorrectly encoded characters in the security question (#1380)
- Fixed issue with german dates not being validated correctly (#1381)
- Fixed issue with "*_teaser" insert tags not supporting aliases (#1389)
- Fixed issue with front end users losing group membership (#1403)
- Fixed issue with listing module not working when alias usage is disabled (#1408)
- Fixed issue with cached pages being sent with the wrong header (#1407)
- Fixed issue with right column articles overriding the page title (#1440)
- Fixed issue with publish icons not being set correctly (#1436)
- Fixed issue with unsearchable news/events being added to the sitemap (#1464)
- Fixed issue with striptags() not supporting POST arrays (#1429)
- Fixed issue with events being opened in a new window (#1453)
- Fixed issue with article teaser links not being limited to the website root (#1409)
- Fixed issue with textual font-sizes not being imported (#1465)
- Fixed issue with users not being redirected to login upon Ajax requests (#1466)
- Fixed issue with TextField widgets not supporting arrays (#1342)
- Fixed issue with newsletter reader not supporting plain text messages (#1478)
- Fixed issue with news and event insert tags creating wrong links (#1396)
- Fixed issue with TextArea default values not supporting line breaks (#1430)
- Fixed issue with thumbnails being created although no resizing is required (#1468)
- Fixed issue with empty news/event text in the back end overview (#1489)
- Fixed issue with FancyUpload script not being compatible to extTYPOlight (#1487)
- Fixed issue with Date class not supporting the Swedish time format (#1498)
- Fixed issue with inconsistent label_callback function calls (#1488)
- Fixed issue with newsletter reader not replacing insert tags (#1506)
- Fixed issue with home directories not being unique (#1490)
- Fixed issue with events not being shown in "shortened view" (#1473)
- Fixed issue with ModuleCustomnav generating invalid links (#1543)
- Fixed issue with subpalettes not evaluating scripts (#1522)
- Fixed issue with listing module generating invalid profile links (#1532)
- Fixed issue with sortable tables not supporting negative numbers and floats (#1529)
- Fixed issue with listView headers not supporting time fields (#1540)
- Fixed issue with Folder::isEmpty() returning wrong results (#1555)
- Fixed issue with users not being able to create new pages in a root page (#1554)
- Fixed issue with BBCode parser stripping tags and code snippets (#1543)
- Fixed issue with style sheet importer not handling textual font colors (#1553)
- Fixed some minor issues

Version 2.8.RC2 (2009-12-23)
----------------------------
- Added image resize mode "fit the box" (#1219)
- Added an option to link news items to articles (#1252)
- Added a "form could not be sent" warning to the page title (#1242)
- Added an option to change the table collation in the install tool (#1202)
- Added image dimensions to the file manager (#1287)
- Improved FancyUpload to support basic authentication workarounds (#1288)
- Reworked the event list module and added a event list menu (#1177, #1227)
- Reworked the regular expression to validate e-mail addresses (#1230)
- Replaced the table wizard magnifier with a more user-friendly solution (#1212)
- Fixed issue with template editor showing all files (#1172, #1176)
- Fixed issue with Repository not parsing textual version numbers (#1182)
- Fixed issue with deleting the currently selected page breaking the breadcrumb menu (#1183)
- Fixed issue with onsubmit_callbacks not being able to load the modified record (#1180)
- Fixed issue with details page only showing the first selected value (#1196)
- Fixed issue with automatic articles being created on root and redirect pages (#1194)
- Fixed issue with SwiftMailer cache directory and the Safe Mode Hack (#1207)
- Fixed issue with CheckboxWizard widgets not being available in the front end (#1211)
- Fixed issue with style sheet import not supporting shortened definitions (#1169)
- Fixed issue with newsletter subscriptions upon registration (#1216)
- Fixed issue with empty articles being created on duplicated pages (#1226)
- Fixed issue with password fields always being mandatory (#1264)
- Fixed issue with style sheet categories not being duplicated correctly (#1224)
- Fixed issue with function parseDate() not being binary-safe (#1238)
- Fixed issue with popup calendar not working in Safari 4 (#1240)
- Fixed issue with regular users not being able to create new pages (#1279)
- Fixed a few minor issues

Version 2.8.RC1 (2009-11-21)
----------------------------
- Updated SyntaxHighlighter to version 2.0.320
- Updated slimbox to version 1.7
- Updated TCPDF to version 4.8.009 (#1033)
- Updated TinyMCE to version 3.2.7
- Updated MooTools to version 1.2.4 (#755)
- Replaced phpmailer with SwiftMailer 4.0.5 (#1131)
- Replaced SWFObject with the MooTools built-in Swiff class
- Added mediabox version 1.1.6
- Added hook "getImage" (#662)
- Added hook "generatePage" (#894)
- Added hook "printArticleAsPdf" (#995)
- Added hook "addLogEntry" (#1028)
- Added hook "loadLanguageFile" (#1083)
- Added hook "closeAccount" (#53)
- Added hooks "activateRecipient" and "removeRecipient" (#663)
- Added a database result cache to speed up repeated queries
- Added meta tags "content-script-type" and "content-style-type" (#527)
- Added config/initconfig.php to store custom initialization routines (#868)
- Added protection to admin accounts so they cannot be edited by regular users (#1030)
- Added classes "float_left" and "float_right" to floated images (#642)
- Added option to recreate style sheets in the maintenance module (#647)
- Added Controller::getReadableSize() to return human readable filesizes (#906)
- Added an option to choose the cache mode (server, browser or both) (#1008)
- Added an option to override multiple records at once (#1021)
- Added an option to copy or move multiple records at once (#120)
- Added an option to copy or move multiple files and folders at once (#135)
- Added insert tag "label" to insert labels (#831)
- Added "select all" checkboxes to the database updater (#1040)
- Added support for internationalized domain names (#967)
- Added random order to image galleries (#743)
- Added support for friendly name e-mail addresses (#39)
- Added "date added" and "last login" to the user and member table (#1038)
- Added an option to open a link in a new browser window to image elements (#224)
- Added an option to run the search module in fuzzy mode (#417)
- Added icons to publish or activate records via Ajax (#327)
- Added option to align images below a news item, event, faq or definition (#764)
- Added Controller::addImageToTemplate() to easily add images to templates
- Added Controller::addEnclosuresToTemplate() to easily add enclosures to templates
- Added an option to define an arbitrary element offset in news lists and RSS feeds (#1024)
- Added an option to override the default image size in news and event lists (#873)
- Added an option to choose the gallery template (#818)
- Added option "tableless layout" to all user modules (#891)
- Added a group_callback to the label section of the DCA (#302)
- Added FancyUpload to the file manager (#708)
- Added an option to exclude pages from the sitemap (#789)
- Added an option to control form/archive/calendar/channel permissions (#349, #966)
- Added an option to open random images in the lightbox (#1106)
- Added pagination to event lists (#810)
- Added String::splitCsv() to process CSV strings
- Added an option to resize images proportionally (#736)
- Added news format "day" to the news archive modules (#756)
- Added "onload" and "save" callback to the registration and personal data module (#997)
- Added a breadcrumb menu to navigate subparts of the page and article tree (#869)
- Added an option to specify a custom SMTP server per newsletter channel (#85)
- Added an option to define a target page for search modules (#949)
- Added form widget "fieldset" (#1082)
- Added front end module "close account" (#53)
- Various accessibility improvements (#1068, #938, #939, #770)
- Moved Safe Mode Hack setup to the install tool (#125)
- Improved the user module so users cannot delete their own accounts
- Improved the site structure to apply the root page language to new pages (#722)
- Improved the site structure to automatically create an article on new pages (#347)
- Improved the feed alias and sitemap name check (#936)
- Improved page and file trees to always show the selected items (#908)
- Improved forward page to forward to the first subpage if no target is defined (#1006)
- Fixed issue with week start dates not being calculated correctly (#1051)
- Fixed issue with the listing "go_back"-links not matching the system standards (#994)
- Fixed issue with not allowed page types still being editable (if mounted) (#714)
- Fixed issue with typolinks plugins not recognizing target="_blank" (#964)
- Fixed issue with maximum front end width not being applied everywherer (#828)
- Fixed issue with friendly names not supporting commas (#1109)
- Fixed some minor issues
